Loading...
Searching...
No Matches
casacore::LSQTraits_CF< std::complex< Float > > Class Reference
scimath package (libcasa_scimath) » Fitting_module

LSQTraits specialization for Complex. More...

`#include <LSQTraits.h>`

## Public Types

enum | { size }
typedef std::complex< Float > | value_type
typedef Float | base
typedef LSQComplex | num_type

## Detailed Description

LSQTraits specialization for Complex.

Definition at line 154 of file LSQTraits.h.

## Member Typedef Documentation

## base

typedef Float casacore::LSQTraits_CF< std::complex< Float > >::base

Definition at line 157 of file LSQTraits.h.

## num_type

typedef LSQComplex casacore::LSQTraits_CF< std::complex< Float > >::num_type

Definition at line 158 of file LSQTraits.h.

## value_type

typedef std::complex<Float> casacore::LSQTraits_CF< std::complex< Float > >::value_type

Definition at line 156 of file LSQTraits.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
size |

Definition at line 159 of file LSQTraits.h.

The documentation for this class was generated from the following file:

- scimath/Fitting/LSQTraits.h